<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/src/Main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_78d96bb200e06ae88c331598177e3756.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>: Main class of the program, which starts the game and calls other classes to perform the game  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;list&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &quot;<a class="el" href="_game_8hpp_source.html">..\include\Game.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_character_class_8hpp_source.html">..\include\Character\CharacterClass.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_warrior_8hpp_source.html">..\include\Character\Warrior.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_wizard_8hpp_source.html">..\include\Character\Wizard.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_necromancer_8hpp_source.html">..\include\Character\Necromancer.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sword_8hpp_source.html">..\include\Object\Sword.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_potion_8hpp_source.html">..\include\Object\Potion.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_shield_8hpp_source.html">..\include\Object\Shield.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_dice_8hpp_source.html">..\include\Dice.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_lane_8hpp_source.html">..\include\Room\Lane.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_room_8hpp_source.html">..\include\Room\Room.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_enums_8hpp_source.html">..\include\Enums.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_menu_8hpp_source.html">..\include\Menu\Menu.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_menu_item_8hpp_source.html">..\include\Menu\MenuItem.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_utility_8hpp_source.html">..\include\Utility.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_text_out_of_display_8hpp_source.html">..\include\Exception\TextOutOfDisplay.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_menu_item_out_of_menu_limit_8hpp_source.html">..\include\Exception\MenuItemOutOfMenuLimit.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_menu_item_not_found_8hpp_source.html">..\include\Exception\MenuItemNotFound.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_cant_be_write_8hpp_source.html">..\include\Exception\LogCantBeWrite.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_game_player_die_8hpp_source.html">..\include\Exception\GamePlayerDie.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_collection_8hpp_source.html">..\include\Log\LogCollection.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_log_8hpp_source.html">..\include\Log\Log.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_file_manager_8hpp_source.html">..\include\FileManager.hpp</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a36dfe5e899d73ab0cb316f213d4cb1cf"><td class="memItemLeft" align="right" valign="top"><a id="a36dfe5e899d73ab0cb316f213d4cb1cf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_8cpp.html#a36dfe5e899d73ab0cb316f213d4cb1cf">PerformTest</a> ()</td></tr>
<tr class="memdesc:a36dfe5e899d73ab0cb316f213d4cb1cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Run the "test program" to check if the behavior of the program is correct. <br /></td></tr>
<tr class="separator:a36dfe5e899d73ab0cb316f213d4cb1cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a975b0beb4f09cae62bd95f34229fd79a"><td class="memItemLeft" align="right" valign="top"><a id="a975b0beb4f09cae62bd95f34229fd79a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_8cpp.html#a975b0beb4f09cae62bd95f34229fd79a">PerformGame</a> ()</td></tr>
<tr class="memdesc:a975b0beb4f09cae62bd95f34229fd79a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Run the game mode (like it would be the relase) <br /></td></tr>
<tr class="separator:a975b0beb4f09cae62bd95f34229fd79a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0116a75ea7e70ce7b8573737b7cd57ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_8cpp.html#a0116a75ea7e70ce7b8573737b7cd57ff">EndTestPartWaitEnter</a> ()</td></tr>
<tr class="memdesc:a0116a75ea7e70ce7b8573737b7cd57ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this to prompt the "enter key" for passing to the next test (to simplify the reading of the log of the tests)  <a href="_main_8cpp.html#a0116a75ea7e70ce7b8573737b7cd57ff">More...</a><br /></td></tr>
<tr class="separator:a0116a75ea7e70ce7b8573737b7cd57ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top"><a id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>main</b> ()</td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a129ac4b7fdd566586e9394699a79d7b5"><td class="memItemLeft" align="right" valign="top"><a id="a129ac4b7fdd566586e9394699a79d7b5"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_8cpp.html#a129ac4b7fdd566586e9394699a79d7b5">NB_CHARACTER_PLAYER_TEAM</a> = 3</td></tr>
<tr class="memdesc:a129ac4b7fdd566586e9394699a79d7b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of character of the player when the game statrs. <br /></td></tr>
<tr class="separator:a129ac4b7fdd566586e9394699a79d7b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a287d03267b09cc4f437920b9e0c1e1bb"><td class="memItemLeft" align="right" valign="top"><a id="a287d03267b09cc4f437920b9e0c1e1bb"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_8cpp.html#a287d03267b09cc4f437920b9e0c1e1bb">HEAL_FACTOR_ROOM_PASSED</a> = 1.5</td></tr>
<tr class="memdesc:a287d03267b09cc4f437920b9e0c1e1bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Healing factor for reward passing room. <br /></td></tr>
<tr class="separator:a287d03267b09cc4f437920b9e0c1e1bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>: Main class of the program, which starts the game and calls other classes to perform the game </p>
<p>Domain : Haute Ecole Arc (HE-Arc) Engineering (Delémont-Neuchâtel) IT department Module : C++ Programmation, 1242.3 </p><dl class="section author"><dt>Author</dt><dd>: Jonas Allemann ISC1j</dd></dl>
<p>Project : Fil Rouge Description : The aim of this project is to put into practice the concepts seen during the course with a C++ project around a RPG game</p>
<dl class="section version"><dt>Version</dt><dd>: 4.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>: 13.04.2021</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2021 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a0116a75ea7e70ce7b8573737b7cd57ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0116a75ea7e70ce7b8573737b7cd57ff">&#9670;&nbsp;</a></span>EndTestPartWaitEnter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EndTestPartWaitEnter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this to prompt the "enter key" for passing to the next test (to simplify the reading of the log of the tests) </p>
<dl class="section remark"><dt>Remarks</dt><dd>the message is like "this test part end, press enter to pass to the next test" </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
